This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 818178 - Subtab should switch to "Child history" after submitting a CreateChild request
Subtab should switch to "Child history" after submitting a CreateChild request
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 07:40 EDT by Heiko W. Rupp
Modified: 2012-05-08 15:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-05-02 07:40:02 EDT
User is going to the inventory tab and then creating a new child resource.
After the wizard has closed, a green bar shows up saying "request xyz successfully submitted".

One one side this is misleading as many users think, this means creation was successful.
On the other hand, the user needs to either click refresh several times to see the new resource
or click on child history to see if creation was successful or not.

Perhaps it is possible to "poll" the state and switch to the history tab if creation was a failure.
Always switching may be too much, as people may want to click on the freshly created resource in the child tab and switch to it. Otoh, the history tab could just also contain the link to the new resource if the create result was a success
Comment 1 Mike Foley 2012-05-08 15:33:35 EDT
per BZ triage ... crouch, loleary, foley

Note You need to log in before you can comment on or make changes to this bug.